<?php
/**
 * @package    JBusinessDirectory
 *
 * @author CMSJunkie http://www.cmsjunkie.com
 * @copyright  Copyright (C) 2007 - 2021 CMSJunkie. All rights reserved.
 * @license   https://www.gnu.org/licenses/agpl-3.0.en.html
 */
defined('_JEXEC') or die('Restricted access');


class JBusinessDirectoryViewPackages extends JViewLegacy {
	public function __construct() {
		parent::__construct();
	}
	
	
	public function display($tpl = null) {
		$this->packages =  $this->get('Packages');
        JBusinessUtil::packagesPriceVat($this->packages);
		$this->customAttributes = JBusinessUtil::getPackagesAttributes($this->packages);
		
		$this->claimListingId = JFactory::getApplication()->input->get("claim_listing_id");

		$this->appSettings = JBusinessUtil::getApplicationSettings();
		$this->packageFeatures = JBusinessDirectoryHelper::getDefaultPackageFeatures($this->packages);

		$this->packageInfo =  JFactory::getApplication()->input->getString("packageInfo");

		parent::display($tpl);
	}
}
